#include "bits/stdc++.h"
using namespace std;
using LL = long long;
using ll = long long;

#define all(x) begin(x),end(x)

int main() {
	ios_base::sync_with_stdio(false);
	cin.tie(NULL);
	int n, m;
	cin >> n >> m;
	vector < int > col(m, -1);
	vector < vector < int > > prop(n);
	for (auto &v : prop) {
		int k; cin >> k;
		v.resize(k);
		for (auto &x : v) {
			cin >> x;
			--x;
		}
	}

	vector < int > perm(n);
	iota(perm.begin(), perm.end(), 0);
	sort(all(perm), [&] (int i, int j) {
		if (prop[i].size() == prop[j].size())
			return i < j;
		return prop[i].size() > prop[j].size();
	});

	for (int t = 0; t < perm.size(); t++)
	{
		int i = perm[t];
		auto &set = prop[i];
		if (set.size() == 0)
			break;
		int ma = -1, mi = n;
		for (auto att : set)
			ma = max(ma, col[att]), mi = min(mi, col[att]);
		if (ma != mi) {
			cout << "YES\n";
			cout << i+1 << " " << perm[ma]+1 << "\n";
			exit(0);
		}
		for (auto att : set)
			col[att] = t;
	}
	cout << "NO\n";
}
